// ReSharper disable all
using System;
using NUnit.Framework;
using static MjPilkkominen;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestMjPilkkominen
	{
		[Test]
		public  void TestMerkkijonoLuvuiksi53()
		{
			int[] t1 = MerkkijonoLuvuiksi("1 2 3", new char[] {' '});
			Assert.AreEqual( "1 2 3", String.Join(" ", t1) , "in method MerkkijonoLuvuiksi, line 55");
			Assert.AreEqual( new int[]{1,2,3}, t1 , "in method MerkkijonoLuvuiksi, line 56");
			int[] t2 = MerkkijonoLuvuiksi(" ,,1;;3  ;5  ", new char[] {' ', ',', ';'});
			Assert.AreEqual(( "0, 0, 1, 0, 3, 0, 0, 5").ToString(), String.Join(", ", t2 ), "in method MerkkijonoLuvuiksi, line 58");
			Assert.AreEqual(( "1, 0, 3, 0, 0, 5").ToString(), String.Join(", ", MerkkijonoLuvuiksi("1;;3  ;5", new char[] {' ', ',', ';'}) ), "in method MerkkijonoLuvuiksi, line 59");
			Assert.AreEqual( null, MerkkijonoLuvuiksi("1 3k 5", new char[] {' '}) , "in method MerkkijonoLuvuiksi, line 60");
		}
		[Test]
		public  void TestSumma87()
		{
			Assert.AreEqual( 6, Summa(new int[]{1,2,3}) , "in method Summa, line 88");
			Assert.AreEqual( 2, Summa(new int[]{2}) , "in method Summa, line 89");
		}
	}

